public class Wertetabelle {

    private static void druckeTabelle(Funktion f, double a, double b, int n) {
        double h = (b-a) / (n+1);
	double x;

	System.out.printf("%.6f %.6f\n", a, f.eval(a));
	for (int i=1 ; i<=n ; i++) {
	    x = a + i*h;
	    System.out.printf("%3.6f %3.6f\n", x, f.eval(x));
	}
	System.out.printf("%3.6f %3.6f\n", b, f.eval(b));

	System.out.println();
    }

    public static void erstelleWertetabelle(Funktion f, double a, double b, int n) {
        Funktion f1 = f.differenziere();		// erste Ableitung von f
	Funktion f2 = f1.differenziere();		// zweite Ableitung von f

	System.out.println("Wertetabelle fuer f(x):");
	druckeTabelle(f,a,b,n);

	System.out.println("Wertetabelle fuer f'(x):");
	druckeTabelle(f1,a,b,n);

	System.out.println("Wertetabelle fuer f''(x):");
	druckeTabelle(f2,a,b,n);
    }
}
